Bug Hunting Session
Bug 59914 - EDITING: CRASH when copying and pasting lines of bulleted text with DATA LOSS, "Having multiple <family> in <alias> isn't supported and may not works as expected"
Summary: EDITING: CRASH when copying and pasting lines of bulleted text with DATA LOSS...
Status: RESOLVED DUPLICATE of bug 47018
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-26 22:17 UTC by Dr Mike Brooks
Modified: 2015-01-06 19:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace of Impress CRASH on bullet point styling (21.84 KB, text/plain)
2013-01-27 14:37 UTC, Dr Mike Brooks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dr Mike Brooks 2013-01-26 22:17:38 UTC
Problem description: 
When editing a presentation, especially when editing a bullet point list, LibreOffice Impress crashes becoming unresponsive. On reloading and attempting to recover the document, the text box which was being edited is now blank. Any transparency settings for that box are also reset back to 0% transparency.


Steps to reproduce:
1. Create text box. Set transparency to 30%.
2. Type a few lines. Highlight and apply a bulleted style to them. Now save the document.
3. Try to copy and paste one bulleted line

Current behavior:
Program crashes. On reloading whether the user goes through document recovery or not, the text box is now 0% transparent and blank.

Expected behavior:
Not crash. To paste the bulleted line in as requested. To retain saved text at bear minimum. To update all recovery autosaves the second the document is saved.

I'm really not impressed!
              
Operating System: Ubuntu
Version: 3.6.2.2 release
Comment 1 Julien Nabet 2013-01-27 10:43:44 UTC
Maybe a dup of fdo#47018.

Could you try to retrieve a backtrace by following this link?
https://wiki.documentfoundation.org/BugReport#How_to_get_a_backtrace_.28on_Linux.29
Comment 2 Dr Mike Brooks 2013-01-27 13:54:23 UTC
Sigh. Yes I'll add a backtrace, though this does require downloading 650MB of libreoffice-dbg packagaes which installs to 3.5GB of disk space.

May I recommend that detailed backtraces are included as part of the standard LibreOffice installation? This will make bug reporting *much* less of a hurdle.
Comment 3 Dr Mike Brooks 2013-01-27 14:37:03 UTC
Created attachment 73734 [details]
Backtrace of Impress CRASH on bullet point styling

GDB console showed the following message:

This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib/libreoffice/program/soffice.bin...Reading symbols from /usr/lib/debug/usr/lib/libreoffice/program/soffice.bin...done.
done.
log will be saved as gdbtrace.log, this will take some time, patience...
Fontconfig warning: "/usr/lib/libreoffice/share/fonts/truetype/fc_local.conf", line 13: Having multiple <family> in <alias> isn't supported and may not works as expected
Comment 4 bfoman (inactive) 2013-01-29 14:18:17 UTC
NEW as bt attached.
Comment 5 Joel Madero 2015-01-06 19:48:03 UTC
Following the steps I am unable to crash.

Ubuntu 14.04 x64
LibreOffice 4.3.5.2 release

Setting to:
Duplicate (which is now resolved)

If it is a dupe of bug 47018 then that one was resolved in 4.1 so it makes sense that this one is also fixed.

@Mike Brooks: If you can still reproduce this issue with 4.3 or newer, please set the bug back to UNCONFIRMED and we will try to get independent confirmation.

Thanks for your bug reporting.

P.S. In response to comment 2 - we will not be including symbols on every download of LibreOffice. We try to keep the software as small as possible by default, The vast majority of users do not report bugs or care to report bugs, so giving them several hundred more megs to download by default is not going to work for them. Also for the portable version of LibreOffice, adding this much could be an issue.

*** This bug has been marked as a duplicate of bug 47018 ***